PDA

View Full Version : TCCP Trainz Build Number Restrictions



Christopher824
February 19th, 2021, 08:38 AM
From information from N3V found on Store, Wiki and Forum pages


Trainz Content Creator Program 2.0 systems (TCCP)

With our TCCP online systems, Content Creators can now upload content to sell through our store and anyone with TRS19 SP2 can now become a Beta Tester to participate in early stage DLC testing to help content creators make even better content than before.

TRS19 Service Pack 2 (SP2) unifies all TRS19 customers onto the same build number with cross-compatibility for content, routes and sessions including multiplayer. Build number of SP2 release 110491

Yet I am seeing beta testers using Plus and are able to test with lower build numbers. This is causing tickets being created for 'Unable to Install' complaints.

One user that could not install reported this build;
Build 105100 - Trainz Plus Update 3 (Windows)

Also the first default questioner for testing asks if you are using TANE or TRS19

Can I somehow restrict testers with a build number lower than 110491?

hiawathamr
February 19th, 2021, 04:50 PM
I wish there was a way to prevent builds older than SP2 from installing the content (like not showing up for downloads unless you have SP2 or greater).
I've also had the installation ticket issue, and I always have a copy / paste text handy so I can just paste the text and mark the ticket as no fix required.
I had one claim all 3 packages at one time, and spammed the same text across all 3.. pretty annoying.

Cheers